Bug 493479 - Review Request: woodardworks-laconic-fonts - An artistic and minimal sans-serif font family
Review Request: woodardworks-laconic-fonts - An artistic and minimal sans-ser...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 17:20 EDT by Tom "spot" Callaway
Modified: 2009-05-28 04:10 EDT (History)
3 users (show)

See Also:
Fixed In Version: 001.001-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-28 04:03:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nicolas.mailhot: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)
laconic shadow fontconfig rules (615 bytes, text/plain)
2009-05-26 14:46 EDT, Nicolas Mailhot
no flags Details

  None (edit)
Description Tom "spot" Callaway 2009-04-01 17:20:58 EDT
Spec URL: http://www.auroralinux.org/people/spot/review/new/woodardworks-laconic-fonts.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/woodardworks-laconic-fonts-001.001-1.fc11.src.rpm
Description: 
Laconic is a typeface font design meant to be dry without quite seeming
parched. Curves and diagonals are kept to a bare minimum without sacrificing
legibility. What it lacks in design features are more than made up for in
OpenType features. All the weights contain small caps, proportial figures,
old style figures, tabular figures, ligatures and stylistic alternates.
Comment 1 Nicolas Mailhot 2009-05-21 12:39:07 EDT
Seems I'm a slacker at heart. Sorry for the delay. Anyway:

1. the source is in macosx zip format. Since the people in charge of rpm and unzip refused to fix their support for osx zip archives, you need to perform the un-zipping manually to avoid leaving a stray __MACOSX directory behind in the build root (annoys people doing full-distro rebuilds). Use something like:

%setup -q -c -T
unzip -j -L -q %{SOURCE0}

(the gfs font packages have the same problem)

2. Microsoft considers faces in modern font families should only differ on weight, width or slope) and a lot of software is confused by anything else. Therefore, the shadow face should be split in a woodardworks-laconic-shadow-fonts subpackage IMHO, making it a multi-family package.

3. the font is definitely sans-serif, your fontconfig file should declare it there

The rest of the packaging seems fine
Comment 3 Nicolas Mailhot 2009-05-26 14:46:37 EDT
Created attachment 345498 [details]
laconic shadow fontconfig rules
Comment 4 Nicolas Mailhot 2009-05-26 14:49:55 EDT
Behdad suggests the rules in the attached file for laconic shadow.

(20:31:14) behdad: nim-nim: yes.  in target="scan"
(20:31:16) behdad: I suggest:
(20:31:34) behdad: 1) in target="scan" append "LaconicShadow" as family name (not replace).
(20:31:56) behdad: humm.  then add LaconicShadow to decorative queue

…

(20:42:43) behdad: nim-nim: I believe so.  I never used target="scan" myself though...
(20:42:43) behdad: so test


The rest of the packaging is fine.

Comment 5 Nicolas Mailhot 2009-05-26 14:50:44 EDT
ⵖⵖⵖ APPROVED ⵖⵖⵖ
Comment 6 Tom "spot" Callaway 2009-05-27 11:34:58 EDT
New Package CVS Request
=======================
Package Name: woodardworks-laconic-fonts
Short Description: An artistic and minimal sans-serif font family
Owners: spot
Branches: F-9 F-10 F-11 devel
InitialCC: fedora-fonts-bugs-list@redhat.com

... and it's done.
Comment 7 Fedora Update System 2009-05-27 12:38:40 EDT
woodardworks-laconic-fonts-001.001-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/woodardworks-laconic-fonts-001.001-3.fc10
Comment 8 Fedora Update System 2009-05-27 12:38:44 EDT
woodardworks-laconic-fonts-001.001-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/woodardworks-laconic-fonts-001.001-3.fc9
Comment 9 Fedora Update System 2009-05-27 12:38:49 EDT
woodardworks-laconic-fonts-001.001-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/woodardworks-laconic-fonts-001.001-3.fc11
Comment 10 Fedora Update System 2009-05-28 04:03:49 EDT
woodardworks-laconic-fonts-001.001-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-05-28 04:09:57 EDT
woodardworks-laconic-fonts-001.001-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-05-28 04:10:22 EDT
woodardworks-laconic-fonts-001.001-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.